summaryrefslogtreecommitdiffstats
path: root/helper_scripts/start_glusterd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'helper_scripts/start_glusterd.sh')
-rwxr-xr-xhelper_scripts/start_glusterd.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/helper_scripts/start_glusterd.sh b/helper_scripts/start_glusterd.sh
new file mode 100755
index 0000000..09c1210
--- /dev/null
+++ b/helper_scripts/start_glusterd.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+function _init ()
+{
+ set -u;
+}
+
+function start_glusterd ()
+{
+ local remote_server=;
+
+ if [ $# -eq 1 ]; then
+ remote_server=$1;
+ fi
+
+ if [ $remote_server ]; then
+ ssh $remote_server glusterd;
+ return 0;
+ fi
+
+ for i in $(cat /root/servers)
+ do
+ start_glusterd $i;
+ done
+
+}
+
+function start_my_glusterd ()
+{
+ glusterd;
+ return $?;
+}
+
+function main ()
+{
+ stat --printf=%i /root/servers 2>/dev/null 1>/dev/null;
+ if [ $? -ne 0 ]; then
+ echo "servers file is not present /root. Cannot execute further."
+ exit 1
+ fi
+
+ start_glusterd;
+ start_my_glusterd;
+
+ return 0;
+}
+
+_init && main "$@"